PHP: Installation: Premature end of script headers: php

  • PHP: Installation: Premature end of script headers: php

    Hallo,

    ich hab Ubuntu auf meinem Webserver und PHP über

    Quellcode

    1. apt-get install php5
    laufen.
    Jetzt wollte ich parallel (ohne die momentane PHP-Installation zu verändern oder beschädigen) PHP 5.3 installieren (Paketquelle bietet max. PHP 5.2.x an).

    Dazu hab ich folgende Anleitung genau befolgt:
    huschi.net/10_379_de-php-versionen-im-parallel-betrieb.html
    (Inkl. Apache-Reload)

    Dann hab ich test.php53 im DocumentRoot einer meiner Seiten erstellt mit folgendem Inhalt:

    Quellcode

    1. <?php
    2. phpinfo();
    3. ?>


    Allerdings erhalte ich die Fehlermeldung: 500 Internal Server Error
    Wenn ich in die Logs schaue steht da nur:
    Premature end of script headers: php-cgi


    Wie kann ich PHP 5.3 parallel zum Laufen bringen?